<?php
/**
 * Build and Hook-In Custom Hook Boxes.
 */

/* Name: test */

function genesis_extender_test_hook_box_content() {
	if ( is_category('teachings') ) { ?>
<strong>Testing hook box. ******************</strong><br>
<strong>Testing hook box. ******************</strong><br>
<strong>Testing hook box. ******************</strong>
	<?php } else {
		return false;
	}
}

/* Name: Hide Title */

add_action( 'wp_head', 'genesis_extender_hide_title_hook_box', 10 );
function genesis_extender_hide_title_hook_box() {
	genesis_extender_hide_title_hook_box_content();
}

function genesis_extender_hide_title_hook_box_content() {
	if ( is_page('bookings') || is_page('ministry-to-the-poor') || is_page('vision') || is_page('teachings') || is_page('prayer-requests') || is_page('contact') || is_page('supernatural-living') || is_page('downloads') ) { ?>
<!-- "Hide Title" hook box styles --><style type="text/css">.entry-title{display:none;}</style><!-- end "Hide Title" hook box styles -->
	<?php } else {
		return false;
	}
}

/* Name: Category - Teachings Heading */

add_action( 'genesis_before_loop', 'genesis_extender_category_teachings_heading_hook_box', 10 );
function genesis_extender_category_teachings_heading_hook_box() {
	genesis_extender_category_teachings_heading_hook_box_content();
}

function genesis_extender_category_teachings_heading_hook_box_content() {
	if ( is_category('teachings') ) { ?>
<img class="alignnone size-full wp-image-949" src="http://www.tozers.net/dev/richardmartin/wp-content/uploads/2015/01/teaching-banner.jpg" alt="Teachings" width="700" height="148" />
	<?php } else {
		return false;
	}
}
